收藏
回答

为什么在小程序端云开发使用update会报错?

errCode: -1  | errMsg: query.update is only available in server SDK / API

我要update的数据是我自己创建的,不存在权限问题。

那么为什么会报错呢?

回答关注问题邀请回答
收藏

2 个回答

  • LeeJim🌀
    LeeJim🌀
    2020-03-13

    我也遇到这个问题,提示的确是说只能在server上使用;

    后面的版本支持在小程序端操作了,需要版本2.9.4以上

    可以看这个文档:https://developers.weixin.qq.com/miniprogram/dev/wxcloud/reference-sdk-api/database/collection/Collection.update.html

    2020-03-13
    有用 1
    回复
  • i
W
    i W
    2019-12-26

    提示很清楚啊,或者你把全代码贴出来看看


    2019-12-26
    有用
    回复 2
    • Zason_Hao
      Zason_Hao
      2019-12-30
      对云数据库的数据更新操作就这些代码啊,这还不全吗?
      2019-12-30
      回复
    • i
W
      i W
      2019-12-30回复Zason_Hao
      错误提示也很清楚,只可以在skd/api使用
      2019-12-30
      回复
登录 后发表内容
问题标签